package models;
import com.fasterxml.jackson.annotation.JsonProperty;

public class Match_Event {

        // Unique identifier for the event
        private String idEvent;

        // Name of the event
        private String strEvent;

        // Date of the event
        private String dateEvent;

        // League associated with the event
        private String strLeague;

        // Name of the home team
        private String strHomeTeam;

        // Name of the away team
        private String strAwayTeam;

        // Home team's score
        private int intHomeScore;

        // Away team's score
        private int intAwayScore;



        public String getIdEvent() {
            return idEvent;
        }

        public void setIdEvent(String idEvent) {
            this.idEvent = idEvent;
        }

        public String getStrEvent() {
            return strEvent;
        }

    public Match_Event(String idEvent, String strEvent, String dateEvent, String strLeague, String strHomeTeam, String strAwayTeam, int intHomeScore, int intAwayScore) {
        this.idEvent = idEvent;
        this.strEvent = strEvent;
        this.dateEvent = dateEvent;
        this.strLeague = strLeague;
        this.strHomeTeam = strHomeTeam;
        this.strAwayTeam = strAwayTeam;
        this.intHomeScore = intHomeScore;
        this.intAwayScore = intAwayScore;
    }

    public void setStrEvent(String strEvent) {
            this.strEvent = strEvent;
        }

        public String getDateEvent() {
            return dateEvent;
        }

        public void setDateEvent(String dateEvent) {
            this.dateEvent = dateEvent;
        }

        public String getStrLeague() {
            return strLeague;
        }

        public void setStrLeague(String strLeague) {
            this.strLeague = strLeague;
        }

        public String getStrHomeTeam() {
            return strHomeTeam;
        }

        public void setStrHomeTeam(String strHomeTeam) {
            this.strHomeTeam = strHomeTeam;
        }

        public String getStrAwayTeam() {
            return strAwayTeam;
        }

        public void setStrAwayTeam(String strAwayTeam) {
            this.strAwayTeam = strAwayTeam;
        }

        public int getIntHomeScore() {
            return intHomeScore;
        }

        public void setIntHomeScore(int intHomeScore) {
            this.intHomeScore = intHomeScore;
        }

        public int getIntAwayScore() {
            return intAwayScore;
        }

        public void setIntAwayScore(int intAwayScore) {
            this.intAwayScore = intAwayScore;
        }

}
